# Parent Segment Configurations

Defining a data model for customer data is done by defining parent segments. Parent segments give you an ability to build a single view of a customer, including capturing all interactions, such as attributes and behaviors associated with your brand. In parent segments, you unify your customer data. When the customer data is unified, you can create customer segments without writing any SQL queries. You can personalize customer communications and conversations of any size and in any channel.<br> <br> <br>*Treasure Data is making an effort to use more inclusive language in its product, content, and customer solutions. As we gradually make the move to replace insensitive language beginning in our UI, you may continue to see parent segments in the UI, for example, referenced as master segment in portions of Treasure Data APIs.*

 - [GET /audiences](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_index.md): Retrieve a list of parent segment configurations by name. You can get the parent segment's schedules, created_by, the parent database name and tables, its attributes and behaviors, as well as the popu
 - [POST /audiences](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_create.md): Create a new parent segment configuration.
 - [GET /audiences/{audienceId}](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_show.md): Search and find a specified parent segment configuration by its identifier.
 - [PUT /audiences/{audienceId}](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_update.md): Update the specified parent segment configuration by its identifier. **Important: Update Behavior and the `master` Field** This endpoint supports two different update modes depending on whether the `m
 - [DELETE /audiences/{audienceId}](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_delete.md): Delete a previously created parent segment configuration.
 - [GET /audiences/{audienceId}/attributes](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audience_attributes_index.md): Retrieve a list of parent segment attributes. You can also specify the visibility level for sensitive attributes.
 - [GET /audiences/{audienceId}/behaviors](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audience_behaviors_index.md): Retrieve a list of parent segment behaviors.
 - [POST /audiences/{audienceId}/run](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_run.md): Run the workflow to generate or regenerate a parent segment.
 - [GET /audiences/{audienceId}/executions](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_executions.md): Retrieve a list of workflow executions, whether they were succesful or not, and their status.
 - [GET /audiences/{audienceId}/statistics](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_statistics.md): Retrieve the population history of the audience. The history is returned per day and those days are calculated in the timezone of the audience.
 - [GET /audiences/{audienceId}/sample_values](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_sample_values.md): Retrieve a list of sample values associated with the attributes of a parent segment configuration.
 - [GET /audiences/{audienceId}/behaviors/{audienceBehaviorId}/sample_values](https://docs.treasure.ai/ja/apis/td_cdp_api-public/parent-segment-configurations/audiences_behaviors_sample_values.md): Retrieve a list of sample values for a parent segment's behavior that are useful in understanding data syntax or patterns for further analysis or activation.
